import {
  DesktopOutlined,
  ExperimentOutlined,
  FileDoneOutlined,
  PieChartOutlined,
  UnorderedListOutlined,
  UsergroupAddOutlined,
  UserOutlined,
} from "@ant-design/icons";

const menuConfig = [
  {
    path: "/user/reserve",
    label: "设备预约",
    icon: DesktopOutlined,
    roles: ["USER"],
  },
  {
    path: "/user/my-reservation",
    label: "我的预约",
    icon: UnorderedListOutlined,
    roles: ["USER"],
  },

  {
    path: "/approval",
    label: "预约审批",
    icon: FileDoneOutlined,
    roles: ["LEADER", "DEVICE_ADMIN"],
  },
  {
    path: "/my-approval",
    label: "审批记录",
    icon: UnorderedListOutlined,
    roles: ["LEADER", "DEVICE_ADMIN"],
  },
  {
    path: "/device-manage",
    label: "设备管理",
    icon: ExperimentOutlined,
    roles: ["DEVICE_ADMIN"],
  },
  {
    path: "/admin/user-manage",
    label: "用户管理",
    icon: UsergroupAddOutlined,
    roles: ["ADMIN"],
  },
  {
    label: "数据统计",
    icon: PieChartOutlined,
    children: [
      {
        path: "/admin/stats-device",
        label: "设备统计",
      },
      {
        path: "/admin/stats-reservation",
        label: "使用人统计",
      },
    ],
    roles: ["ADMIN"],
  },
  {
    path: "/userdetail",
    label: "个人信息",
    icon: UserOutlined,
    roles: ["USER", "LEADER", "DEVICE_ADMIN"],
  },
];

export default menuConfig;
