import { StrictMode } from "react";
import { createRoot } from "react-dom/client";
import { Provider } from "react-redux";
import { RouterProvider } from "react-router-dom";
import "./index.css";
import router from "./router/index.jsx";
import { store } from "./store/index.js";
import dayjs from "dayjs";
import zhCN from "antd/locale/zh_CN";
import { ConfigProvider } from "antd";

dayjs.locale("zh-cn");

createRoot(document.getElementById("root")).render(
  <StrictMode>
    <ConfigProvider locale={zhCN}>
      <Provider store={store}>
        <RouterProvider router={router} />
      </Provider>
    </ConfigProvider>
  </StrictMode>
);
