import { useSelector } from "react-redux";
import { Navigate, Outlet } from "react-router-dom";
import { selectUserRole } from "../features/auth/authSlice";

export default function ProtectedRoute({ allowedRoles }) {
  const roles = useSelector(selectUserRole);

  if (roles.length === 0) return <Navigate to="/login" replace />;

  if (roles.some((role) => allowedRoles.includes(role))) {
    return <Outlet />;
  } else {
    return <Navigate to="/unauthorized" replace />;
  }
}
